FROM registry.merlin.xin/alpine/k8s:1.30.4

ENV TZ=Asia/Shanghai \
    LANG=C.UTF-8 

RUN apk add --no-cache nodejs git curl ca-certificates tar\
    && update-ca-certificates || true

# Install helmfile (adjust version as needed)
# RUN set -eux; \
#     curl -fsSL -o /tmp/helmfile.tar.gz "https://github.com/helmfile/helmfile/releases/download/v1.1.9/helmfile_1.1.9_linux_amd64.tar.gz"; \
#     mkdir -p /tmp/helmfile_extract; \
#     tar -xzf /tmp/helmfile.tar.gz -C /tmp/helmfile_extract; \
#     find the helmfile binary and move it to /usr/local/bin
#     find /tmp/helmfile_extract -type f -name helmfile -exec mv {} /usr/local/bin/helmfile \; ; \
#     chmod +x /usr/local/bin/helmfile; \
#     rm -rf /tmp/helmfile.tar.gz /tmp/helmfile_extract

# Copy the pre-downloaded helmfile tar.gz file to the image
COPY helmfile.tar.gz /tmp/helmfile.tar.gz
RUN mkdir -p /tmp/helmfile_extract \
    && tar -xzf /tmp/helmfile.tar.gz -C /tmp/helmfile_extract \
    && find /tmp/helmfile_extract -type f -name helmfile -exec mv {} /usr/local/bin/helmfile \; \
    && chmod +x /usr/local/bin/helmfile \
    && rm -rf /tmp/helmfile.tar.gz /tmp/helmfile_extract

WORKDIR /workspace